package cn.axzo.msg.center.service.enums;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @description
 *
 * @author cold_blade
 * @date 2023/9/20
 * @version 1.0
 */
@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum GeneralMessageStateEnum {

    UNSENT(1, "未发送"),
    HAS_BEEN_SENT(2, "已发送"),
    RECEIVED(3, "已接收"),
    HAVE_READ(4, "已读"),
    RETRACT(6, "已撤销"),
    DELETED(7, "已删除"),
    ;

    private final Integer code;
    private final String message;
}
